cmake_minimum_required(VERSION 3.5)
project(arduino_bridge_cpp)

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

add_executable(arduino_bridge src/arduino_bridge.cpp)

ament_target_dependencies(
  arduino_bridge
  rclcpp
  std_msgs
)

install(TARGETS
  arduino_bridge
  DESTINATION lib/${PROJECT_NAME})

ament_package()

